<?php

namespace App\Http\Requests\V1\Stat;

use Illuminate\Foundation\Http\FormRequest;

class StatMonthlyRequest extends FormRequest
{
    public function authorize(): bool
    {
        return true;
    }

    public function rules(): array
    {
        return [
            'domain' => 'required|string|in:sales,finance,production,project',
            'year' => 'required|integer|min:2020|max:2099',
            'month' => 'nullable|integer|min:1|max:12',
        ];
    }
}
